diff --git a/buildscript b/buildscript
index ab092da..0ffa3b2 100755
--- a/buildscript
+++ b/buildscript
@@ -195,18 +195,14 @@ prebuild() {
     if [ 0 -ne $? ]; then
         version=$(git log -1 --pretty=format:%h)
     fi
-    community=$(basename "$(realpath selected_community)" .cfg)
 
     {
         echo "FIRMWARE_VERSION=\"$version\""
-        echo "FIRMWARE_COMMUNITY=\"$community\""
         echo "BUILD_DATE=\"build date: $(date)\""
         echo "OPENWRT_CORE_REVISION=\"${OPENWRTREV}\""
         echo "OPENWRT_FEEDS_PACKAGES_REVISION=\"${PACKAGEREV}\""
     } > "$target"/files/etc/firmware_release
 
-    cp selected_community "$target"/files/etc/community.cfg
-
     opath=$(pwd)
     cd "$target"
     make defconfig
@@ -274,14 +270,10 @@ config() {
 }
 
 cp_firmware() {
-    if [ "$community" = "franken" ]; then
-        local community="fff"
-    fi
-
     [ -n "$subtarget" ] || subtarget="generic"
 
     for image in ${images[@]}; do
-        filename_build=${image//lede/${community}-${version}}
+        filename_build=${image//lede/fff-${version}}
         filename_build=${filename_build//generic/g}
         cp "$target/bin/targets/${chipset}/${subtarget}/$image" "./bin/$filename_build"
 
@@ -350,18 +342,6 @@ loadBSP()
     . selected_bsp
 }
 
-loadCommunity()
-{
-    echo "Working with $(/bin/ls -l selected_community | awk '{ print $11 }')"
-    tpl_translate=$(awk -F= 'BEGIN{printf("sed")} /^.+$/{gsub("/", "\\/", $0); printf(" -es/\\${%s}/%s/g",$1,$2)}' selected_community)
-}
-
-setCommunity() {
-    /bin/rm -rf selected_community
-    /bin/ln -s "$1" selected_community
-    loadCommunity
-}
-
 setBSP()
 {
     /bin/rm -rf selected_bsp
@@ -382,19 +362,13 @@ if [ "$(/usr/bin/id -u)" -eq 0 ]; then
 	exit 1
 fi
 
-if [ "$1" != "selectbsp" -a "$1" != "selectcommunity" ]; then
+if [ "$1" != "selectbsp" ]; then
     if [ ! -h selected_bsp ]; then
         echo "Please select a Board-Support-Package using:"
         echo "$0 selectbsp"
         exit
     fi
-    if [ ! -h selected_community ]; then
-        echo "Please select a community file using:"
-        echo "$0 selectcommunity"
-        exit
-    fi
     loadBSP
-    loadCommunity
     echo
 fi
 
@@ -415,22 +389,6 @@ case "$1" in
             fi
         fi
         ;;
-    "selectcommunity")
-        if [ "$2" = "help" ] || [ "$2" = "" ]; then
-            echo "Select a Community-File:"
-            echo
-            echo "Usage: $0 $1 <community-file>"
-            echo "available community-files: "
-            /bin/ls community/*.cfg
-            echo
-        else
-            if [ ! -f "$2" ]; then
-                echo "Could not find $2"
-            else
-                setCommunity "$2"
-            fi
-        fi
-        ;;
     "prepare")
         if [ "$2" = "help" ] || [ "$2" = "x" ]; then
             echo "This option fetches the sources for the images and configurates the build so that it can be compiled"
@@ -478,7 +436,7 @@ case "$1" in
         ;;
     "buildall")
         if [ "$2" = "help" ]; then
-            echo "This option builds the firmware for all routers of a given community."
+            echo "This option builds the firmware for all routers."
             echo
             echo "Usage: $0 $1 [fast]"
             echo
@@ -501,7 +459,6 @@ case "$1" in
         echo
         echo "Usage: $0 command"
         echo "command:"
-        echo "  selectcommunity <community-file>"
         echo "  selectbsp <bsp-file>"
         echo "  prepare"
         echo "  config openwrt"
diff --git a/community/franken.cfg b/community/franken.cfg
deleted file mode 100644
index 833e98e..0000000
--- a/community/franken.cfg
+++ /dev/null
@@ -1,8 +0,0 @@
-BATMAN_CHANNEL=1
-BATMAN_CHANNEL_5GHZ=36
-ESSID_AP=franken.freifunk.net
-ESSID_MESH=batman.franken.freifunk.net
-BSSID_MESH=02:CA:FF:EE:BA:BE
-VPN_PROJECT=fff
-NTPD_IP=fe80::ff:feee:1%br-mesh
-UPGRADE_PATH=http://[fe80::ff:feee:1%br-mesh]/dev/firmware/current
diff --git a/src/packages/fff/fff-nodewatcher/files/usr/sbin/nodewatcher b/src/packages/fff/fff-nodewatcher/files/usr/sbin/nodewatcher
index 3b60500..7b7bbd0 100755
--- a/src/packages/fff/fff-nodewatcher/files/usr/sbin/nodewatcher
+++ b/src/packages/fff/fff-nodewatcher/files/usr/sbin/nodewatcher
@@ -155,7 +155,6 @@ crawl() {
     SYSTEM_DATA=$SYSTEM_DATA"$fastd_version"
     SYSTEM_DATA=$SYSTEM_DATA"<nodewatcher_version>$nodewatcher_version</nodewatcher_version>"
     SYSTEM_DATA=$SYSTEM_DATA"<firmware_version>$FIRMWARE_VERSION</firmware_version>"
-    SYSTEM_DATA=$SYSTEM_DATA"<firmware_community>$FIRMWARE_COMMUNITY</firmware_community>"
     SYSTEM_DATA=$SYSTEM_DATA"<firmware_revision>$BUILD_DATE</firmware_revision>"
     SYSTEM_DATA=$SYSTEM_DATA"<openwrt_core_revision>$OPENWRT_CORE_REVISION</openwrt_core_revision>"
     SYSTEM_DATA=$SYSTEM_DATA"<openwrt_feeds_packages_revision>$OPENWRT_FEEDS_PACKAGES_REVISION</openwrt_feeds_packages_revision>"
diff --git a/src/packages/fff/fff-sysupgrade/files/etc/sysupgrade.sh b/src/packages/fff/fff-sysupgrade/files/etc/sysupgrade.sh
index 8ef4949..6b6c10a 100755
--- a/src/packages/fff/fff-sysupgrade/files/etc/sysupgrade.sh
+++ b/src/packages/fff/fff-sysupgrade/files/etc/sysupgrade.sh
@@ -67,11 +67,7 @@ if [ "$VERSION" -eq "$FIRMWARE_VERSION" ]; then
   done
 fi
 
-if [ "$FIRMWARE_COMMUNITY" = "franken" ]; then
-    FIRMWARE_COMMUNITY="fff"
-fi
-
-FILE="${FIRMWARE_COMMUNITY}-${VERSION}-${SOC}-g-${BOARD}-squashfs-sysupgrade.bin"
+FILE="fff-${VERSION}-${SOC}-g-${BOARD}-squashfs-sysupgrade.bin"
 echo "Downloading $FILE"
 echo ""
 wget "${UPGRADE_PATH}/${FILE}"
